We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 1709

Summary: For users who will not be using OJS to publish journal contents
Product: OJS Reporter: John Willinsky <john.willinsky>
Component: Journal ManagementAssignee: Alec Smecher <alec>
Status: RESOLVED FIXED    
Severity: normal CC: michael.pkp, pkp-support
Priority: P2    
Version: 2.3   
Hardware: Macintosh   
OS: Mac OS X 10.0   
Version Reported In: Also Affects:
Attachments: Patch against OJS pre-2.3 CVS
Patch against OJS pre-2.3 CVS
Patch against OJS pre-2.3 CVS
Patch against OJS pre-2.3 CVS
Patch against OJS pre-2.3 CVS

Description John Willinsky 2005-07-10 11:08:13 PDT
Some users are not using OJS to publish online, as they have yet to make the transition to online or 
have their own publishing site; so rather than lose the indexing information and to ease the transition 
to OJS (as it allows the table of contents, layout, etc. to be used), I propose the following addition to 
Setup Step #4. 

4.2 Publishing By Means Other Than OJS

[  ] OJS will not be used to published the journal's contents online.

For a journal that is not using OJS to publish its contents online, the system can provide online access 
to the following, with the publication of each issue:

[  ] The indexing metadata, which can be harvested by various search engines. (For content published 
online elsewhere, use 4.3 to enable the adding of items' URLs.) 

[  ] The Table of Contents and item Abstracts.

----------
If the first option alone, or the first and second options are chosen, then Current and Archive should be 
removed from the navigation bar (and thus if the first and third are chosen, this does not hold). Also 
remove "full-text" from Search if first option is selected.
Comment 1 John Willinsky 2005-07-11 20:44:59 PDT
Also, if the first option is chosen, then any Galleys that are uploaded to the Layout stage, to enable  
proofreading by author and proofreader as part of OJS workflow, would not appear. If this option were 
later removed, the Galleys would appear, as would the Table of Contents. 
Comment 2 Alec Smecher 2006-01-12 10:18:09 PST
Deferred
Comment 3 Alec Smecher 2008-07-14 17:08:59 PDT
Scheduling for OJS 2.3. (The specifics have probably become outdated, but the general idea is still good and pertains to Synergies.)
Comment 4 Alec Smecher 2008-12-02 10:19:45 PST
Turning off galley access can be accomplished by turning off Open Access, so no need to implement that a second time. The part of this that needs consideration is turning OJS from a workflow & publishing tool into just a workflow tool. I'd suggest a single checkbox in setup that turns off the following entirely:
 - Current Issue / Archives
 - Search
 - Registration (? -- what about reviewers?)

I don't see any particular reason to turn off the About pages etc. -- OJS can still serve as a point of presence for the journal if they choose to use it.

John, does that sound reasonable? Any additional thoughts?
Comment 5 Alec Smecher 2009-05-27 12:25:47 PDT
Created attachment 1869 [details]
Patch against OJS pre-2.3 CVS
Comment 6 Alec Smecher 2009-05-27 12:26:38 PDT
Implemented as a third option alongside "open access" / "subscription" in setup 4.1.
Comment 7 Michael Felczak 2009-06-02 15:49:21 PDT
Alec, this new setting (publishingMode) will need to be propagated throughout to all functions that rely on the previous/old setting name + likely good to include in the upgrade process.
Comment 8 Alec Smecher 2009-06-02 15:54:50 PDT
Michael, did I miss a setting check somewhere? The upgrade happens in dbscripts/xml/upgrade/2.3.0_update.xml.
Comment 9 Michael Felczak 2009-06-02 15:57:51 PDT
Sorry, missed that in the patch.
Comment 10 Alec Smecher 2009-06-02 16:08:26 PDT
Closing again. Let me know if I've missed something (which is entirely possible).
Comment 11 Michael Felczak 2009-06-02 16:10:52 PDT
I think the first point still applies: references to the old setting throughout the code.
Comment 12 Alec Smecher 2009-06-02 16:19:34 PDT
Created attachment 1894 [details]
Patch against OJS pre-2.3 CVS

Ah, I did find a couple of leftovers in the templates. Fixed.
Comment 13 Michael Felczak 2009-06-02 16:24:52 PDT
There's also likely to be references in pages and classes
Comment 14 Alec Smecher 2009-06-02 16:29:20 PDT
I've been grepping the entire codebase for "enableSubscriptions" and fixed all I found.
Comment 15 Michael Felczak 2009-06-02 16:39:28 PDT
Created attachment 1895 [details]
Patch against OJS pre-2.3 CVS
Comment 16 Michael Felczak 2009-06-02 16:41:02 PDT
Thanks. I've included a few others based on the recent subscription commits.
Comment 17 Alec Smecher 2009-06-02 16:48:43 PDT
Michael, are you sure you're using a current checkout? Several of the changes in the last patch don't look current to me.
Comment 18 Alec Smecher 2009-06-02 16:58:55 PDT
Created attachment 1897 [details]
Patch against OJS pre-2.3 CVS

Corrected a couple problems in attachment #1895 [details] -- the new publishingMode setting can have three values, so can't be treated like a boolean as before.
Comment 19 Michael Felczak 2009-06-03 09:19:33 PDT
(In reply to comment #17)
> Michael, are you sure you're using a current checkout? Several of the changes
> in the last patch don't look current to me.

I hope so =) These are likely from the most recent subscription commits (yesterday before looking at this bug) -- have you had a chance to update since then?
Comment 20 Michael Felczak 2009-06-03 09:21:21 PDT
Created attachment 1898 [details]
Patch against OJS pre-2.3 CVS

Additional fixes to explicitly check against the new constants.